org.apache.cxf.validation

## Class ClientBeanValidationFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.validation.ClientBeanValidationFeature

- All Implemented Interfaces:
    Feature

      public class ClientBeanValidationFeature
      extends AbstractFeature

- - ### Field Summary

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientBeanValidationFeature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addInterceptor(InterceptorProvider interceptorProvider, ClientBeanValidationOutInterceptor out)`
    `protected void` | `initializeProvider(InterceptorProvider interceptorProvider, Bus bus)`
    `void` | `setProvider(BeanValidationProvider provider)`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `getActive, getID, initialize, initialize, initialize, initialize`

    - ### Methods inherited from class javax.xml.ws.WebServiceFeature

      `isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientBeanValidationFeature

          public ClientBeanValidationFeature()

  - ### Method Detail

    - #### initializeProvider

          protected void initializeProvider(InterceptorProvider interceptorProvider,
                                            Bus bus)

      Overrides:
        `initializeProvider` in class `AbstractFeature`

    - #### addInterceptor

          protected void addInterceptor(InterceptorProvider interceptorProvider,
                                        ClientBeanValidationOutInterceptor out)

    - #### setProvider

          public void setProvider(BeanValidationProvider provider)

Apache CXF